# Release Notes

## Latest Changes


## 0.4.1

### Features

* ✨ Add Pydantic 2 support for the message extraction. PR [#213](https://github.com/boardpack/pydantic-i18n/pull/213) by [@dukkee](https://github.com/dukkee).
* ✨ Add Python 3.12 to the support list. PR [#221](https://github.com/boardpack/pydantic-i18n/pull/221) by [@dukkee](https://github.com/dukkee).

### Fixes

* 🐛 Fix handling regexp-chars in translation keys (#216). PR [#217](https://github.com/boardpack/pydantic-i18n/pull/217) by [@clemenskol](https://github.com/clemenskol).
* 🐛 fix: key's ending after placeholders is not matched. PR [#161](https://github.com/boardpack/pydantic-i18n/pull/161) by [@niqzart](https://github.com/niqzart).

### Internal

* 🐛 Fix code coverage. PR [#220](https://github.com/boardpack/pydantic-i18n/pull/220) by [@dukkee](https://github.com/dukkee).
* ⬆ Bump mkdocs-material from 9.5.8 to 9.5.11. PR [#214](https://github.com/boardpack/pydantic-i18n/pull/214) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump codecov/codecov-action from 4.0.2 to 4.1.0. PR [#215](https://github.com/boardpack/pydantic-i18n/pull/215) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump flake8 from 6.1.0 to 7.0.0. PR [#208](https://github.com/boardpack/pydantic-i18n/pull/208) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump dawidd6/action-download-artifact from 3.0.0 to 3.1.2. PR [#206](https://github.com/boardpack/pydantic-i18n/pull/206) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump markdown from 3.2.1 to 3.5.2. PR [#209](https://github.com/boardpack/pydantic-i18n/pull/209) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump black from 23.11.0 to 24.2.0. PR [#211](https://github.com/boardpack/pydantic-i18n/pull/211) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump autoflake from 2.2.1 to 2.3.0. PR [#212](https://github.com/boardpack/pydantic-i18n/pull/212) by [@dependabot[bot]](https://github.com/apps/dependabot).
* 🔧 Change dependabot schedule interval to weekly. PR [#205](https://github.com/boardpack/pydantic-i18n/pull/205) by [@dukkee](https://github.com/dukkee).
* ⬆ Bump babel from 2.13.1 to 2.14.0. PR [#188](https://github.com/boardpack/pydantic-i18n/pull/188) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/setup-python from 4 to 5. PR [#182](https://github.com/boardpack/pydantic-i18n/pull/182) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump isort from 5.12.0 to 5.13.2. PR [#189](https://github.com/boardpack/pydantic-i18n/pull/189) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/upload-artifact from 3 to 4. PR [#191](https://github.com/boardpack/pydantic-i18n/pull/191) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/cache from 3 to 4. PR [#195](https://github.com/boardpack/pydantic-i18n/pull/195) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump mypy from 1.4.1 to 1.7.0. PR [#174](https://github.com/boardpack/pydantic-i18n/pull/174) by [@dependabot[bot]](https://github.com/apps/dependabot).
* 👷 Use pydantic 1.X for the tests. PR [#170](https://github.com/boardpack/pydantic-i18n/pull/170) by [@dukkee](https://github.com/dukkee).
* ⬆ Bump pytest from 7.4.0 to 7.4.3. PR [#168](https://github.com/boardpack/pydantic-i18n/pull/168) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump nwtgck/actions-netlify from 2.0.0 to 2.1.0. PR [#145](https://github.com/boardpack/pydantic-i18n/pull/145) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/checkout from 3 to 4. PR [#150](https://github.com/boardpack/pydantic-i18n/pull/150) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump mkdocs from 1.4.3 to 1.5.3. PR [#155](https://github.com/boardpack/pydantic-i18n/pull/155) by [@dependabot[bot]](https://github.com/apps/dependabot).

## 0.4.0

### Features

* 🐛 Add multiple placeholders support. PR [#127](https://github.com/boardpack/pydantic-i18n/pull/127) by [@dukkee](https://github.com/dukkee).

### Fixes

* 👷 Add cache step to the test workflow. PR [#95](https://github.com/boardpack/pydantic-i18n/pull/95) by [@dukkee](https://github.com/dukkee).
* 🐛 Add lint step to the test workflow. PR [#93](https://github.com/boardpack/pydantic-i18n/pull/93) by [@dukkee](https://github.com/dukkee).

### Internal

* ⬆ Bump pytest from 7.3.1 to 7.4.0. PR [#133](https://github.com/boardpack/pydantic-i18n/pull/133) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump autoflake from 2.1.1 to 2.2.0. PR [#134](https://github.com/boardpack/pydantic-i18n/pull/134) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump mypy from 1.3.0 to 1.4.1. PR [#135](https://github.com/boardpack/pydantic-i18n/pull/135) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump pytest-cov from 4.0.0 to 4.1.0. PR [#128](https://github.com/boardpack/pydantic-i18n/pull/128) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump codecov/codecov-action from 3.1.3 to 3.1.4. PR [#122](https://github.com/boardpack/pydantic-i18n/pull/122) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump mkdocs from 1.4.2 to 1.4.3. PR [#117](https://github.com/boardpack/pydantic-i18n/pull/117) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump typer from 0.7.0 to 0.9.0. PR [#118](https://github.com/boardpack/pydantic-i18n/pull/118) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump dawidd6/action-download-artifact from 2.26.1 to 2.27.0. PR [#109](https://github.com/boardpack/pydantic-i18n/pull/109) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump black from 23.1.0 to 23.3.0. PR [#102](https://github.com/boardpack/pydantic-i18n/pull/102) by [@dependabot[bot]](https://github.com/apps/dependabot).
* 🔥 Remove tox. PR [#96](https://github.com/boardpack/pydantic-i18n/pull/96) by [@dukkee](https://github.com/dukkee).

## 0.3.1

### Fixes

* 🎨 Improve translate method output type. PR [#88](https://github.com/boardpack/pydantic-i18n/pull/88) by [@dukkee](https://github.com/dukkee).

### Internal
* ⬆ Bump pytest from 7.2.1 to 7.2.2. PR [#87](https://github.com/boardpack/pydantic-i18n/pull/87) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump babel from 2.11.0 to 2.12.1. PR [#85](https://github.com/boardpack/pydantic-i18n/pull/85) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump dawidd6/action-download-artifact from 2.25.0 to 2.26.0. PR [#82](https://github.com/boardpack/pydantic-i18n/pull/82) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump mypy from 1.0.0 to 1.0.1. PR [#80](https://github.com/boardpack/pydantic-i18n/pull/80) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump markdown-include from 0.8.0 to 0.8.1. PR [#78](https://github.com/boardpack/pydantic-i18n/pull/78) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump isort from 5.11.4 to 5.12.0. PR [#68](https://github.com/boardpack/pydantic-i18n/pull/68) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump black from 22.12.0 to 23.1.0. PR [#70](https://github.com/boardpack/pydantic-i18n/pull/70) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump autoflake from 2.0.0 to 2.0.1. PR [#69](https://github.com/boardpack/pydantic-i18n/pull/69) by [@dependabot[bot]](https://github.com/apps/dependabot).
* 🔧 Add bash to the allowlist_externals in the tox.ini. PR [#76](https://github.com/boardpack/pydantic-i18n/pull/76) by [@dukkee](https://github.com/dukkee).
* ⬆ Bump nwtgck/actions-netlify from 1.2.4 to 2.0.0. PR [#52](https://github.com/boardpack/pydantic-i18n/pull/52) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump mkdocs-material from 8.5.10 to 8.5.11. PR [#51](https://github.com/boardpack/pydantic-i18n/pull/51) by [@dependabot[bot]](https://github.com/apps/dependabot).
* 🔧 Change dependabot schedule interval to daily. PR [#48](https://github.com/boardpack/pydantic-i18n/pull/48) by [@dukkee](https://github.com/dukkee).

## 0.3.0

### Features

* ✨ Add Python 3.10 and 3.11 to the support list. PR [#45](https://github.com/boardpack/pydantic-i18n/pull/45) by [@dukkee](https://github.com/dukkee).

### Breaking Changes

* 🔥 Drop Python 3.6 and 3.7 support. PR [#43](https://github.com/boardpack/pydantic-i18n/pull/45) by [@dukkee](https://github.com/dukkee).

### Internal

* 🔧 Migrate to the new flit style metadata. PR [#46](https://github.com/boardpack/pydantic-i18n/pull/46) by [@dukkee](https://github.com/dukkee).
* 📝 Update project classifiers. PR [#47](https://github.com/boardpack/pydantic-i18n/pull/47) by [@dukkee](https://github.com/dukkee).
* ⬆ Bump codecov/codecov-action from 2.1.0 to 3.1.1. PR [#40](https://github.com/boardpack/pydantic-i18n/pull/40) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump dawidd6/action-download-artifact from 2.17.0 to 2.24.2. PR [#44](https://github.com/boardpack/pydantic-i18n/pull/44) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/setup-python from 3 to 4. PR [#38](https://github.com/boardpack/pydantic-i18n/pull/38) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/cache from 2 to 3. PR [#34](https://github.com/boardpack/pydantic-i18n/pull/34) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/upload-artifact from 2 to 3. PR [#33](https://github.com/boardpack/pydantic-i18n/pull/33) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump dependencies. PR [#43](https://github.com/boardpack/pydantic-i18n/pull/43) by [@dukkee](https://github.com/dukkee).
* ⬆ Bump actions/checkout from 2 to 3. PR [#30](https://github.com/boardpack/pydantic-i18n/pull/30) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump actions/setup-python from 2 to 3. PR [#29](https://github.com/boardpack/pydantic-i18n/pull/29) by [@dependabot[bot]](https://github.com/apps/dependabot).

## 0.2.3

### Fixes

* 🐛 Fix unmoved import. PR [#28](https://github.com/boardpack/pydantic-i18n/pull/28) by [@dukkee](https://github.com/dukkee).

## 0.2.2

### Fixes

* 🔨 Make babel optional dependency. PR [#26](https://github.com/boardpack/pydantic-i18n/pull/26) by [@dukkee](https://github.com/dukkee).
* 🐛 Fix last key usage without placeholder. PR [#25](https://github.com/boardpack/pydantic-i18n/pull/25) by [@dukkee](https://github.com/dukkee).

### Internal

* ⬆ Bump nwtgck/actions-netlify from 1.2.2 to 1.2.3. PR [#22](https://github.com/boardpack/pydantic-i18n/pull/22) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump dawidd6/action-download-artifact from 2.15.0 to 2.17.0. PR [#24](https://github.com/boardpack/pydantic-i18n/pull/24) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump black from 20.8b1 to 22.1.0. PR [#23](https://github.com/boardpack/pydantic-i18n/pull/23) by [@dukkee](https://github.com/dukkee).
* ⬆ Bump dawidd6/action-download-artifact from 2.14.1 to 2.15.0. PR [#18](https://github.com/boardpack/pydantic-i18n/pull/18) by [@dependabot[bot]](https://github.com/apps/dependabot).

## 0.2.1

### Fixes

* 🔧 Fix single key translations case. PR [#17](https://github.com/boardpack/pydantic-i18n/pull/17) by [@dukkee](https://github.com/dukkee).

## 0.2.0

### Features

* 👷 Add placeholder support. PR [#15](https://github.com/boardpack/pydantic-i18n/pull/15) by [@dukkee](https://github.com/dukkee).
* 👷 Fix unknown key usage. PR [#10](https://github.com/boardpack/pydantic-i18n/pull/10) by [@dukkee](https://github.com/dukkee).

### Docs

* 📝 Add FastAPI example to the docs. PR [#9](https://github.com/boardpack/pydantic-i18n/pull/9) by [@dukkee](https://github.com/dukkee).

### Internal

* ⬆ Bump codecov/codecov-action from 2.0.3 to 2.1.0. PR [#14](https://github.com/boardpack/pydantic-i18n/pull/14) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump dawidd6/action-download-artifact from 2.14.0 to 2.14.1. PR [#12](https://github.com/boardpack/pydantic-i18n/pull/12) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump codecov/codecov-action from 2.0.2 to 2.0.3. PR [#11](https://github.com/boardpack/pydantic-i18n/pull/11) by [@dependabot[bot]](https://github.com/apps/dependabot).

## 0.1.1

* 📝 Fix top package description. PR [#5](https://github.com/boardpack/pydantic-i18n/pull/5) by [@dukkee](https://github.com/dukkee).

## 0.1.0

### Features

* ✨ Add support for translations loading from the dictionary, JSON files, and Babel files.
* ✨ Add loading errors messages from pydantic.

### Docs

* 📝 Add main docs content

### Internal

* ⬆ Bump dawidd6/action-download-artifact from 2.9.0 to 2.14.0. PR [#3](https://github.com/boardpack/pydantic-i18n/pull/3) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump nwtgck/actions-netlify from 1.1.5 to 1.2.2. PR [#2](https://github.com/boardpack/pydantic-i18n/pull/2) by [@dependabot[bot]](https://github.com/apps/dependabot).
* ⬆ Bump codecov/codecov-action from 1 to 2.0.2. PR [#1](https://github.com/boardpack/pydantic-i18n/pull/1) by [@dependabot[bot]](https://github.com/apps/dependabot).

